using System.Text.Json.Serialization;

namespace FileExposer.Models;

public record Segment(Record? Left,
                      Record? Right);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Segment))]
public partial class SegmentSourceGenerationContext : JsonSerializerContext
{
}
